Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.font
Class Type3StreamParser

    java.lang.Object
      org.pdfbox.util.PDFStreamEngine
          org.pdfbox.pdmodel.font.Type3StreamParser

public class Type3StreamParser
extends PDFStreamEngine

This class will handle creating an image for a type 3 glyph.

Version:
  $Revision: 1.10 $
Author:
  Ben Litchfield

Constructor Summary
`Type3StreamParser()`

Method Summary
`Image` | `createImage(COSStream type3Stream)` This will parse a type3 stream and create an image from it.
`protected void` | `processOperator(PDFOperator operator, List arguments)` This is used to handle an operation.

Methods inherited from class org.pdfbox.util.PDFStreamEngine
`getColorSpaces, getCurrentPage, getFonts, getGraphicsStack, getGraphicsState, getGraphicsStates, getResources, getTextLineMatrix, getTextMatrix, getXObjects, processOperator, processStream, processSubStream, registerOperatorProcessor, resetEngine, setColorSpaces, setFonts, setGraphicsStack, setGraphicsState, setGraphicsStates, setTextLineMatrix, setTextMatrix, showCharacter, showString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Type3StreamParser

    public Type3StreamParser()

Method Detail

### createImage

    public Image createImage(COSStream type3Stream)
                      throws IOException

  This will parse a type3 stream and create an image from it.

  Parameters:
    `type3Stream` - The stream containing the operators to draw the image.
  Returns:
    The image that was created.
  Throws:
    `IOException` - If there is an error processing the stream.

### processOperator

    protected void processOperator(PDFOperator operator,
                                   List arguments)
                            throws IOException

  This is used to handle an operation.

  Overrides:
    `processOperator` in class `PDFStreamEngine`
  Parameters:
    `operator` - The operation to perform.
    `arguments` - The list of arguments.
  Throws:
    `IOException` - If there is an error processing the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD